Subject: Re: Eddis at Jubilee
From: Eddis Tucker Payne <[email-masked]>
To: "Rachel Lewis (Project Administrator)" <[email-masked]>
Date: Wed, 22 Apr 2026 14:16:11 +0000

________________________________

[ EXTERNAL EMAIL: This email originated outside of World Help. Do not click any links or open attachments unless you know the sender and trust the content. ]

________________________________

On my way.
________________________________
From: Eddis Tucker Payne <[email-masked]>
Sent: Wednesday, April 22, 2026 8:32 AM
To: Rachel Lewis (Project Administrator) <[email-masked]>
Subject: Re: Eddis at Jubilee

Good morning,
I will take 11 boxes.  I can come at 9:30.
________________________________
From: Rachel Lewis (Project Administrator) <[email-masked]>
Sent: Wednesday, April 22, 2026 8:23 AM
To: Eddis Tucker Payne <[email-masked]>
Subject: Re: Eddis at Jubilee

Hi Eddis!

Yes, we still have the toothpaste! You are free to come grab it whenever you have a chance. We are here today and tomorrow 8-5, and Friday 8-3. We will also be here this Saturday from 10-2 if that time works better for you.  Do you have an idea of how much you would like to take? We can offer up to 11 boxes of 48 full sized tubes.

Thank you!!

Rachel

Rachel Lewis
Project Administrator

PO Box 501 | Forest, VA 24551
800-541-6691
worldhelp.net<http://www.worldhelp.net/>
x. @world_help<http://www.twitter.com/world_help>
facebook. fb.com/worldhelp<http://www.facebook.com/worldhelp>
instagram. @world_help<https://instagram.com/world_help>

Help meet someone's most urgent needs.
Every $12 helps rescue one person.<https://worldhelp.net/donate/>

From: Eddis Tucker Payne <[email-masked]>
Date: Tuesday, April 21, 2026 at 17:14
To: Rachel Lewis (Project Administrator) <[email-masked]>
Subject: Eddis at Jubilee

________________________________

[ EXTERNAL EMAIL: This email originated outside of World Help. Do not click any links or open attachments unless you know the sender and trust the content. ]

________________________________

Hello,
Do you still have the toothpaste. I can come one day and pick it up.